# Retrieve a metafield definition type

> Retrieve a single metafield definition type.

`GET /rest/api/metafield_definition_types/{id}`

Retrieves a MetafieldDefinitionType resource.

Returns a single metafield definition type by id, including its `allowedValidations`.

## Headers

| Name                         | Type     | Required | Description                                                                                                                                      |
| ---------------------------- | -------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| `X-Flowkiwi-Organization-Id` | `string` | Yes      | The organization the request acts as. Determines the identity, permissions and ownership applied when reading or modifying data on the instance. |

## Path parameters

| Name | Type     | Required | Description                        |
| ---- | -------- | -------- | ---------------------------------- |
| `id` | `string` | Yes      | MetafieldDefinitionType identifier |

## Response

**200** - MetafieldDefinitionType resource

| Property             | Type             | Required | Description                                                                                                                                                                |
| -------------------- | ---------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `@context`           | `object`         | -        |                                                                                                                                                                            |
| `@id`                | `string`         | Yes      |                                                                                                                                                                            |
| `@type`              | `string`         | Yes      |                                                                                                                                                                            |
| `id`                 | `string`         | -        | The metafield definition type identifier (e.g. `number_decimal`).                                                                                                          |
| `description`        | `string`         | -        | A human-readable description of the metafield definition type.                                                                                                             |
| `example`            | `string \| null` | -        | An example value for a metafield of this type.                                                                                                                             |
| `allowedValidations` | `string[]`       | -        | The validation types that can be applied to a metafield definition of this type. Submitting any other validation is rejected. Types that allow none return an empty array. |

## Errors

**404** - Not found

| Property   | Type             | Required | Description                                                                                                                          |
| ---------- | ---------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------ |
| `@context` | `object`         | -        |                                                                                                                                      |
| `@id`      | `string`         | Yes      |                                                                                                                                      |
| `@type`    | `string`         | Yes      |                                                                                                                                      |
| `title`    | `string \| null` | -        | A short, human-readable summary of the problem.                                                                                      |
| `detail`   | `string \| null` | -        | A human-readable explanation specific to this occurrence of the problem.                                                             |
| `status`   | `number \| null` | -        |                                                                                                                                      |
| `instance` | `string \| null` | -        | A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. |
| `type`     | `string`         | -        | A URI reference that identifies the problem type                                                                                     |

## Examples

### Example request

```bash
curl -X GET 'https://<tenant>.product-management.flowkiwi.net/rest/api/metafield_definition_types/<product_id>' \
  -H 'Authorization: Bearer {token}' \
  -H 'X-Flowkiwi-Organization-Id: <org_id>' \
  -H 'Accept: application/ld+json'
```

### Example response

```json
{
  "@context": "/contexts/MetafieldDefinitionType",
  "@id": "/rest/api/metafield_definition_types/number_decimal",
  "@type": "https://schema.org/Enumeration",
  "id": "number_decimal",
  "description": "A number with decimal.",
  "example": 10.4,
  "allowedValidations": [
    "/rest/api/metafield_definition_validation_types/min_value",
    "/rest/api/metafield_definition_validation_types/max_value",
    "/rest/api/metafield_definition_validation_types/max_precision"
  ]
}
```
